Triggered when a bulk settlement fund is received. Once there is a match, meaning the amount for this settlement journal is fully settled, the amount_matched is set to true. If it is not matched, check the difference between source_amount and target_amount to determine how much more needs to be paid.
This event can also be triggered when our operations team reallocates funds between settlements. Therefore, the received_amount in version 2.0.0 of the webhook is inaccurate. Please use the latest version, 4.0.0. Version 2.0.0 is deprecated.
- Event type:
bulk-settlement#payment-received - Profile level subscriptions: Not Supported
- Application level subscriptions: Supported
Events may not be delivered in the order they occurred. Use data.occurred_at to reconcile the order. See the Event ordering guide for details.
See the Webhooks guide for setup instructions, signature verification, and best practices.
RSA-SHA256 signature of the request body, Base64 encoded. Verify this against the Wise public key to ensure the request is authentic and has not been tampered with.
Version of the event schema. Determined by the schema_version on your webhook subscription.
ID of the webhook subscription that triggered this event.
- Production Environmenthttps://api.wise.com/bulk-settlement#payment-received
- Sandbox Environmenthttps://api.wise-sandbox.com/bulk-settlement#payment-received
- 4.0.0
- 3.0.0
- 2.0.0
{ "schema_version": "4.0.0", "subscription_id": "f5b51f77-e14a-433b-9f7c-fc2834ffcff5", "event_type": "bulk-settlement#payment-received", "sent_at": "2024-04-18T06:36:17.123Z", "data": { "resource": { "settlement_reference": "TPFB1111111", "source_currency": "GBP", "source_amount": -100.1, "target_amount": 100.1, "amount_matched": true }, "occurred_at": "2024-04-18T06:36:15.789Z" } }
{ "status": "ok" }